import { Vue } from "vue-property-decorator";
import { INode, INodeInterface, ITemporaryConnection } from "../../../baklavajs-core/types";
import { ViewPlugin } from "../viewPlugin";
import { IViewNode } from "../../types";
import { IMenuItem } from "./ContextMenu.vue";
import Clipboard from "../clipboard";
import History from "../history";
export default class EditorView extends Vue {
    plugin: ViewPlugin;
    nodeeditor: EditorView;
    clipboard: Clipboard;
    history: History;
    temporaryConnection: ITemporaryConnection | null;
    hoveringOver?: INodeInterface | null;
    selectedNodes: IViewNode[];
    dragging: boolean;
    ctrlPressed: boolean;
    counter: number;
    contextMenu: {
        items: IMenuItem[];
        show: boolean;
        x: number;
        y: number;
    };
    get styles(): {
        "transform-origin": string;
        transform: string;
    };
    get backgroundStyle(): {
        "background-position": string;
        "background-size": string;
    };
    get nodes(): readonly INode[];
    get connections(): readonly import("../../../baklavajs-core/types").IConnection[];
    get hasEnginePlugin(): boolean;
    mounted(): void;
    updateContextMenu(): void;
    hoveredOver(ni: INodeInterface | undefined): void;
    mouseMoveHandler(ev: MouseEvent): void;
    mouseDown(ev: MouseEvent): void;
    mouseUp(ev: MouseEvent): void;
    mouseWheel(ev: MouseWheelEvent): void;
    keyDown(ev: KeyboardEvent): void;
    keyUp(ev: KeyboardEvent): void;
    selectNode(node: IViewNode): void;
    unselectAllNodes(): void;
    openContextMenu(event: MouseEvent): void;
    onContextMenuClick(action: string): void;
}
