import { Vue } from "vue-property-decorator";
import { ViewPlugin } from "../../viewPlugin";
import { IViewNode } from "../../../types";
export default class NodeView extends Vue {
    data: IViewNode;
    selected: boolean;
    plugin: ViewPlugin;
    dragging: boolean;
    renaming: boolean;
    tempName: string;
    contextMenu: {
        show: boolean;
        x: number;
        y: number;
        items: {
            value: string;
            label: string;
        }[];
    };
    private unsubscribe;
    get classes(): {
        [x: string]: boolean;
        node: boolean;
        "--selected": boolean;
        "--dragging": boolean;
        "--two-column": boolean;
    };
    get styles(): {
        top: string;
        left: string;
        width: string;
    };
    mounted(): void;
    updated(): void;
    beforeDestroy(): void;
    update(): void;
    startDrag(): void;
    select(): void;
    stopDrag(): void;
    handleMove(ev: MouseEvent): void;
    openContextMenu(ev: MouseEvent): void;
    onContextMenu(action: string): void;
    doneRenaming(): void;
    openSidebar(optionName: string): void;
}
